module ProxySeeker
  module Scrapers
    class ProxyListenScraper
      attr_reader :agent

      URL = 'http://www.proxy-listen.de/Proxy/Proxyliste.html'

      def initialize(opts = {})
        @agent = Mechanize.new
      end

      def fetch
        agent = Mechanize.new
        page = agent.post(URL, { liststyle: 'leech', proxies:  300, submit: 'Show', type: 'http' })

        key   = page.forms.first.fields.first.name
        value = page.forms.first.fields.first.value

        page = agent.post(URL, { liststyle: 'leech', proxies:  300, submit: 'Show', type: 'http', "#{key}" => value })

        list = page.parser.css('a.proxyList')

        list.map{ |x| ip, port = x.text.split(':'); ::ProxySeeker::Proxy.new(ip, port) }
      rescue
        []
      end
    end
  end
end